//##########################################################
//
// Project : Xchange version 1.24
//
// Author : Cyril MOTTIER
//
// Mail : orlin61@wanadoo.fr
//
// Site : www.cyrilmottier.com
//
// Header File (prototypes for ti89 and ti89t)
//
// Created 17/05/2005 with TIGCC 0.96 beta 3 19:12:54
//
//###########################################################


//############################################################################
//#                                                                          #
//#                               MISC FUNCTIONS                             #
//#                                                                          #
//############################################################################

void Add_To_Total_Time (int m, int s);
int Is_A_Out_MAT_COORD (MAT_COORD *m);
int MAT_COORD_equals(MAT_COORD *a, MAT_COORD *b);
int Sum_From_One_To_Kp2 (int k);
void StopBlinking (void);
short Is_Before (short m, short s, short d);
void WaitForMillis(unsigned short);
void Wait_User_Action();
short key(short time);

//############################################################################
//#                                                                          #
//#                            HIGHSCORE FUNCTIONS                           #
//#                                                                          #
//############################################################################

void Open_HSC(void);
void Close_HSC(void);
void Input_HSC_Str(unsigned char *buffer);
void Change_HSC_Table (unsigned long score);

//############################################################################
//#                                                                          #
//#                             GRAPHIC FUNCTIONS                            #
//#                                                                          #
//############################################################################

short My_Title (void);
unsigned char *RLE_Decompress_To_ExtGraph (unsigned char *src, unsigned short size);
void *IniFont (short taille);
void My_Gray_Font (short x, short y,const unsigned char *text,short space,void *plane1, void *plane2, void *charset2, short centered);
void New_Square();
void Draw_Square();
void Init_Gameset (void);
void Move_Piece(int h);
void My_Window(const char *str);

//############################################################################
//#                                                                          #
//#                            MATRIX FUNCTIONS                              #
//#                                                                          #
//############################################################################

short Column_Sum (short row, short column);
void Fall (void);
int Is_A_Winner(void);
int Is_A_Loser (void);
MAT_COORD Attack_Position(int h);
MAT_COORD Final_Position(int h);