//##########################################################
//
// Project : Xchange version 1.24
//
// Author : Cyril MOTTIER
//
// Mail : orlin61@wanadoo.fr
//
// Site : www.cyrilmottier.com
//
// Header File (principal definitions for V200 and Ti92p)
//
// Created 17/05/2005 with TIGCC 0.96 beta 3 18:29:28
//
//###########################################################


//Key definitions

enum {ESC=1, RIGHT=2, DOWN=3, LEFT=4, UP=5, ENTER=6, CNTR_UP=7, CNTR_DOWN=8, MAGIC_KEY=9};

/*#define ESC 1
#define RIGHT 2
#define DOWN 3
#define LEFT 4
#define UP 5
#define ENTER 6
#define CNTR_UP 7
#define CNTR_DOWN 8
#define MAGIC_KEY 9*/

#define HW ((HW_VERSION==1) ? 5 : 6)
#define HSC_FILE_CODE 6

typedef struct
{
	int row;
	int col;
} MAT_COORD;

/*//Structure for graphic fall...
typedef struct
{
  int num_row;
  int cell_to_lower;
} FOR_GFX_FALL;*/

//Structure for saving highscores...
typedef struct
{
  char name[10];
  unsigned long score;
} HSC_ITEM;
  
//Structure for saving best time...
typedef struct
{
  char name[10];
  short min;
  short sec;
  short dix;
} BT_ITEM;